package com.gic.haoban.manage.web.vo.coupon;

import java.io.Serializable;
import java.util.Date;

public class CoupCardVO implements Serializable {
    private static final long serialVersionUID = -5868328668312616015L;

    /**
     * 卡券日志id
     */
    private String cardLogId;
    /**
     * 卡券id
     */
    private String coupCardId;
    /**
     * 卡券名称
     */
    private String cardName;
    /**
     * 使用条件
     */
    private String useCondition;

    /**
     * 券号
     */
    private String cardCode;

    /**
     * 生效时间
     */
    private Date effectTime;

    /**
     * 截止时间
     */
    private Date limitTime;

    /**
     * 状态 待领取:3; 待核销:4; 已核销:5; 已过期:6; 已销毁:7; 已占用:8; 转赠中:9 ;已转赠:10
     */
    private Integer status;

    /**
     * 会员昵称
     */
    private String thirdName;

    /**
     * 会员名称
     */
    private String memberName;
    /**
     * 会员手机号码
     */
    private String phoneNum;
    /**
     * 会员卡号
     */
    private String cardNum;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 核销时间
     */
    private Date useTime;

    public String getCardLogId() {
        return cardLogId;
    }

    public void setCardLogId(String cardLogId) {
        this.cardLogId = cardLogId;
    }

    public String getCoupCardId() {
        return coupCardId;
    }

    public void setCoupCardId(String coupCardId) {
        this.coupCardId = coupCardId;
    }

    public String getCardName() {
        return cardName;
    }

    public void setCardName(String cardName) {
        this.cardName = cardName;
    }

    public String getUseCondition() {
        return useCondition;
    }

    public void setUseCondition(String useCondition) {
        this.useCondition = useCondition;
    }

    public String getCardCode() {
        return cardCode;
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public Date getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(Date effectTime) {
        this.effectTime = effectTime;
    }

    public Date getLimitTime() {
        return limitTime;
    }

    public void setLimitTime(Date limitTime) {
        this.limitTime = limitTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getThirdName() {
        return thirdName;
    }

    public void setThirdName(String thirdName) {
        this.thirdName = thirdName;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public Date getUseTime() {
        return useTime;
    }

    public void setUseTime(Date useTime) {
        this.useTime = useTime;
    }
}
